#
# menu_final.py
# A program to print a restaurant menu to an external text file
# This is the final version, with output directed to a print file
# For the code that redirects the output to the Python shell, see menu_debug.py
# Tested with Python 3.7.9 on Windows 10
# 
# Fri July 16, 2021
# Copyright ©. All rights reserved. NAF 2021.
#

###################################################################
# Comment out the following two statements if you are printing to a file
# import the system module
from sys import *
# temporarily set the menu print file to the Python shell
menu_file = stdout
###################################################################

##################################################################
# When you are ready to print, copy this section to your menu.py file
# direct output to the menufile.txt print file
# ("w" sets the file attribute to read/write)
# *** Uncomment the following statement if you are debugging using the shell ***
#menu_file = open("menu_file.txt","w")
# After the program runs, locate the menu_file.txt file and send it to the printer ***
# By default, it will be sent to the same directory where the menu.py file is located ***
#
# If you rerun the menu.py file, sending output to the menu_file.txt file:
# - FIRST close it (if you have it open, for example, in Notepad)
# - THEN rerun it
# The old text file will be overlayed
###################################################################

###################################################################
# MAIN PART OF THE PROGRAM BEGINS

#
# Define and print the menu text graphic
#

#
# Programming tip: When you are drawing graphics with characters, make
# sure you do not end a line with a '\' character.
# Instead, add an extra space after the '\' character.
# Otherwise Python will interpret the '\' as a
# line continuation character and ruin your graphic when it is printed.
#

# define the menu text graphic
# use triple quotes for multi-line text graphics
menu_text_graphic="""
     __  ___  _____  ___   __   _    ___
    /  |/   | | ___| |  \  | | | |  |   |
   / /|  /| | | |__  |   \ | | | |  |   |
  / / |_/ | | |  __| | |\ \| | | |  |   |
 / /      | | | |__  | | \   | |  \_|   |
/_/       |_| |____| |_|  \_ |  \____/|_|
"""

# print the menu text graphic
# send the output to a file
print(menu_text_graphic, file=menu_file)

#
# Define and print the face text graphic
#

# define the face text graphic
face_text_graphic="""
  _____
/      \ 
| *  * |
|  O   |
\ \__/ /
 \____/            
"""

# print the face text graphic
print(face_text_graphic, file=menu_file)

#
# Print information about the restaurant
#

# print the restaurant name in uppercase
print("Joe's Cafe".upper(), file=menu_file)
# print the tag line
print('"Your friendly neighborhood restaurant"', file=menu_file)
# print the phone number and address of Joe's Cafe
print("831-444-5555 - 185 Main Street - Yourtown, USA", file=menu_file)
# print a blank line
print(file=menu_file)

#
# Print the menu heading, items, and prices
#

# print a lunch menu heading
print("lunch menu".capitalize(), file=menu_file)
print("==========", file=menu_file)
# print the menu items and prices
print("hamburger","\t","\t","5.75", file=menu_file)
print("pizza","\t","\t","6.30", file=menu_file)
print("soup","\t","\t","3.50", file=menu_file)
print("coffee","\t","\t","1.25", file=menu_file)
# print a blank line
print(file=menu_file)

# MAIN PART OF THE PROGRAM ENDS
###################################################################

###################################################################
# Close the print file
# *** Comment out the following statement if you are printing to a file ***
# menu_file.close()
###################################################################
